Bug 461177 - RFE: update arch-specific perl spec template %files lines
RFE: update arch-specific perl spec template %files lines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmdevtools (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 14:05 EDT by Chris Weyl
Modified: 2009-01-16 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 18:43:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-09-04 14:05:56 EDT
Right now, the arch-specific %files section in the perl spec template reads:

# For arch-specific packages: vendorarch
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/everything-except-"auto"

Can we change this to:

# For arch-specific packages: vendorarch
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto

The net result is the same, except now it's saying 'everything-except-"auto"' in macros instead of english.
Comment 1 Ville Skyttä 2008-09-07 11:38:45 EDT
Good idea, applied "upstream" in https://fedorahosted.org/rpmdevtools/changeset/79cb96f745da89df8cf5db188311be00615f5492, will be in the next > 6.7 release (leaving bug open for tracking that).  Thanks.
Comment 2 Fedora Update System 2008-12-26 09:53:52 EST
rpmdevtools-7.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmdevtools-7.0-1.fc10
Comment 3 Fedora Update System 2008-12-26 09:55:45 EST
rpmdevtools-7.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmdevtools-7.0-1.fc9
Comment 4 Fedora Update System 2008-12-30 18:43:41 EST
rpmdevtools-7.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rpmdevtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11861
Comment 5 Fedora Update System 2008-12-30 18:53:27 EST
rpmdevtools-7.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdevtools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11941
Comment 6 Fedora Update System 2009-01-16 18:43:04 EST
rpmdevtools-7.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-16 18:44:11 EST
rpmdevtools-7.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.